package app.mar.activities;

import android.app.ActionBar;
import android.os.Bundle;
import android.provider.MediaStore;
import android.support.design.widget.FloatingActionButton;
import android.support.design.widget.Snackbar;
import android.support.v7.app.AppCompatActivity;
import android.support.v7.widget.Toolbar;
import android.util.Log;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.ImageView;
import android.widget.RadioButton;
import android.widget.RadioGroup;
import android.widget.TextView;
import android.widget.Toast;

import java.util.ArrayList;

import app.mar.utils.game.Game;
import app.mar.utils.game.challenges.Challenge;
import app.mar.utils.game.challenges.ChallengeReturn;
import app.mar.utils.game.challenges.QCM;
import app.mar.utils.game.challenges.Question;


public class QCMActivity extends AppCompatActivity {

    protected ImageView     mUIImage;
    protected TextView      mUIQuestion;
    protected Button        mUiValid;
    protected RadioGroup    mUIGoupQCM;
    protected ArrayList<String> mChoices;

    protected int           mIdOffset = 1234;

    protected Game      mGame;
    protected QCM       mQCM;
    public static final int REQUEST_CODE = 2000;


    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_qcm);
        Toolbar toolbar = (Toolbar) findViewById(R.id.toolbar);
        setSupportActionBar(toolbar);



        mUIImage = (ImageView) findViewById(R.id.iv_img);
        mUIQuestion = (TextView) findViewById(R.id.tv_question);
        mUiValid = (Button) findViewById(R.id.btn_ok);
        mUIGoupQCM = (RadioGroup) findViewById(R.id.rg_qcm);

        mGame = Game.game();
        Challenge c = mGame.getCurrentChallenge();
        if(c instanceof QCM)
        {
            mQCM=(QCM)c;


            mUIQuestion.setText(mQCM.getQuestion());

            mChoices = mQCM.getChoices();
            for(int i=0; i<mChoices.size(); i++){
                RadioButton radioButton = new RadioButton(this);
                radioButton.setText(mChoices.get(i));
                radioButton.setId(i+mIdOffset);
                RadioGroup.LayoutParams rprms= new RadioGroup.LayoutParams(ActionBar.LayoutParams.MATCH_PARENT, RadioGroup.LayoutParams.WRAP_CONTENT);
                rprms.gravity=1;
                mUIGoupQCM.addView(radioButton, rprms);
            }
        }
        else
        {
            Toast.makeText(this, "Error l'entrée n'est pas une question ! ", Toast.LENGTH_LONG).show();
        }

    }


    public void onValid(View v)
    {
        int x = mUIGoupQCM.getCheckedRadioButtonId()-mIdOffset;
        Log.e("_______", "Id = "+x);

        if(x<0 || x>=mChoices.size())
        {
            Toast.makeText(this, "Vous devez sélectionner une réponse ! "+x, Toast.LENGTH_LONG).show();
        }else
        {
            String resp = mChoices.get(x);
            if(mQCM.checkAnswer(resp))
            {
                setResult(RESULT_OK);
                Toast.makeText(this, mQCM.getGoodMessage(), Toast.LENGTH_LONG).show();
                finish();
            }else
            {
                Toast.makeText(this, mQCM.getBadMessage(), Toast.LENGTH_LONG).show();
            }
        }
    }
}
