package app.mar.activities;

import android.os.Bundle;
import android.app.Activity;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.ImageView;
import android.widget.TextView;
import android.widget.Toast;

import app.mar.utils.game.Game;
import app.mar.utils.game.challenges.Challenge;
import app.mar.utils.game.challenges.Question;


public class QuestionActivity extends Activity  {

    protected ImageView mUIImage;
    protected EditText  mUIResponse;
    protected TextView  mUIQuestion;
    protected Button    mUiValid;
    protected Question  mQuestion=null;
    protected Game      mGame;
    public static final int REQUEST_CODE = 2002;


    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_question);

        mUIImage = (ImageView) findViewById(R.id.iv_img);
        mUIQuestion = (TextView) findViewById(R.id.tv_question);
        mUIResponse = (EditText) findViewById(R.id.et_response);
        mUiValid = (Button) findViewById(R.id.btn_ok);



        mGame = Game.game();
        Challenge c = mGame.getCurrentChallenge();
        if(c instanceof Question)
        {
            mQuestion=(Question)c;

            mUIQuestion.setText(mQuestion.getQuestion());
        }
        else
        {
            Toast.makeText(this, "Error l'entrée n'est pas une question ! ", Toast.LENGTH_LONG).show();
        }
    }


    public void onValid(View v)
    {
        String resp = mUIResponse.getText().toString();
        if(mQuestion.checkAnswer(resp))
        {
            Toast.makeText(this, mQuestion.getGoodMessage(), Toast.LENGTH_LONG).show();

            finish();
        }else
        {
            Toast.makeText(this, mQuestion.getBadMessage(), Toast.LENGTH_LONG).show();
            mUIResponse.getText().clear();
        }
    }
}
