package app.mar.utils.game;

import android.app.Activity;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.HashMap;

import app.mar.utils.game.Resource;

/**
 * Created by ptitcois on 18/08/16.
 * Cette classe gère les differentes ressources
 */
public class ResourceManager implements Serializable{
    protected HashMap<String, Resource> mResources = new HashMap<String, Resource>();
    protected Resource mLatestResource = null;


    public ResourceManager()
    {
    }

    public void addResource(String name, Activity act)
    {
        Resource r = new Resource(name, act);
        mResources.put(name, r);
    }

    public boolean contains(String name){return mResources.containsKey(name);}

    public Resource get(String name)
    {
        return mResources.get(name);
    }

    public int count()
    {
        return mResources.keySet().size();
    }

    public String[] getResourceList()
    {
        return (String[])mResources.keySet().toArray();
    }

    /**
     * Enleve le Modele 3D de la cache
     */
    public void deleteAll3DModel()
    {
        String[] keys = getResourceList();
        for(int i=0; i<keys.length; i++)
            mResources.get(keys[i]).delete3DModel();
    }

}
